<div class="main-form">

    <div class="main-form__header">
        <h1>{{operationTypeText}} My Volume</h1>
    </div>

    <form (ngSubmit)="submitManageForm()" class="main-form__body percent-w80" [formGroup]="volumeManageForm">
      
        <div class="main-form__body--msg-error" *ngIf="requestFail">
            <span>The request has failed</span>
        </div>
        <div class="main-form__body--msg-success" *ngIf="requestSuccess">
            <span>The request was successful</span>
        </div>

        <div class="l-split-section margin-v10">

            <div class="l-split-section__container">

                <div class="form-item">
                    <label class="form-item__label form-item__label--required" for="title">
                        title
                    </label>
                    <input
                        [ngClass]="{ 'form-item__input--invalid': validTitle }"
                        formControlName="title"
                        placeholder="Title"
                        class="form-item__input"
                    />
                    <span *ngIf="validTitle" class="form-item--message">
                        Invalid title
                    </span>
                </div>
            
                <div class="form-item">
                    <label class="form-item__label form-item__label--required" for="volumeId">
                        Volume ID
                    </label>
                    <input
                        [ngClass]="{ 'form-item__input--invalid': validVolumeId }"
                        formControlName="volumeId"
                        placeholder="Volume ID"
                        class="form-item__input"
                    />
                    <span *ngIf="validVolumeId" class="form-item--message">
                        Invalid Volume ID
                    </span>
                </div>

                <div class="form-item">
                    <label class="form-item__label form-item__label--required" for="authors">
                        Authors
                    </label>
                    <input
                        [ngClass]="{ 'form-item__input--invalid': validAuthors }"
                        formControlName="authors"
                        placeholder="Authors"
                        class="form-item__input">
                    <span *ngIf="validAuthors" class="form-item--message">
                        Invalid Authors
                    </span>
                </div>

                <div class="form-item">
                    <label class="form-item__label form-item__label--required" for="publisher">
                        publisher
                    </label>
                    <input
                        [ngClass]="{ 'form-item__input--invalid': validPublisher }"
                        formControlName="publisher"
                        placeholder="Publisher"
                        class="form-item__input"
                    />
                
                    <span *ngIf="validPublisher" class="form-item--message">
                        Invalid Publisher
                    </span>
                </div>

            </div>

            <div class="l-split-section__container">

                <div class="form-item">
                    <label
                        class="form-item__label form-item__label--required"
                        for="publishedDate">published date 
                    </label>
                    <input
                        [ngClass]="{ 'form-item__input--invalid': validPublishedDate }"
                        formControlName="publishedDate"
                        placeholder="Published date"
                        class="form-item__input"
                        type="date">
                    <span *ngIf="validPublishedDate" class="form-item--message">
                        Invalid Date
                    </span>
                </div>
            
                <div class="form-item">
                    <label class="form-item__label form-item__label--required" for="pageCount">
                        page count
                    </label>
                    <input
                        [ngClass]="{ 'form-item__input--invalid': validPageCount }"
                        formControlName="pageCount"
                        placeholder="Page count"
                        type="number"
                        min="0"
                        class="form-item__input">
                    <span *ngIf="validPageCount" class="form-item--message">
                        Invalid Page Count
                    </span>
                </div>
            
                <div class="form-item">
                    <label class="form-item__label form-item__label--required" for="pageCount">
                        image thumbnail link
                    </label>
                    <input
                        [ngClass]="{ 'form-item__input--invalid': validImageLinks }"
                        formControlName="imageLinks"
                        placeholder="Image thumbnail link"
                        class="form-item__input">
                    <span *ngIf="validImageLinks" class="form-item--message">
                        Invalid Link
                    </span>
                </div>

            </div>
        </div>

        <button 
            [disabled]="volumeManageForm.invalid" 
            [ngClass]="{'disabled-btn': volumeManageForm.invalid}"
            class="button primary medium-btn">
            {{operationTypeText}}
        </button>

    </form>
</div>
